/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package test.compliance.server.support;

import javax.management.MBeanRegistration;
import javax.management.MBeanServer;
import javax.management.ObjectName;

/**
 * Simple MBean for builder tests
 *
 * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
 * @version $Revision: 1.3.2.1 $
 *   
 */
public class BuilderTest
   implements MBeanRegistration, BuilderTestMBean
{
   public MBeanServer server = null;

   public BuilderTest()
   {
   }

   public ObjectName preRegister(MBeanServer server, ObjectName name)
   {
      this.server = server;
      return name;
   }

   public void postRegister(Boolean registered)
   {
   }

   public void preDeregister()
   {
   }

   public void postDeregister()
   {
   }
}
